TikTok LIVE Moderation

Bans

Manage bans within the TikTok LIVE Moderation API. This section covers endpoints for working with bans including retrieval, creation, and management operations.

Kick room user

PUThttps://api.eulerstream.com/webcast/rooms/{room_id}/moderation/bans

Kick a user from a livestream room.

Path Parameters

room_id*string

The room ID of the livestream

Query Parameters

tiktok_user_id*string

The numeric user ID for the individual to kick

comment_msg_idstring

Optional comment message ID that triggered the kick

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

code*number (double)
messagestring
responseobject
Response200

Unban room user

DELhttps://api.eulerstream.com/webcast/rooms/{room_id}/moderation/bans

Unkick a user from a livestream room (allow them back).

Path Parameters

room_id*string

The room ID of the livestream

Query Parameters

tiktok_user_id*string

The numeric user ID of the person to unkick

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

code*number (double)
messagestring
responseobject
Response200

Retrieve room banned users

GEThttps://api.eulerstream.com/webcast/rooms/{room_id}/moderation/bans

Retrieve the list of banned users in a livestream room.

Path Parameters

room_id*string

The room ID of the livestream

Query Parameters

pagenumber (double)= 0

Page number for pagination

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

code*number (double)
messagestring
responseobject
Response200